# This test looks for a success message from the config-test when it finds an
# executable file owned by the user's secondary group.

if [ "${UID}" == "0" ]
then
  touch ${TMPDIR}/${TEST_NUM}-hostname
  chown 1 ${TMPDIR}/${TEST_NUM}-hostname
  chgrp `groups | awk '{ print $2 }'` ${TMPDIR}/${TEST_NUM}-hostname
  chmod 010 ${TMPDIR}/${TEST_NUM}-hostname

  echo "${SPAMDYKE_PATH} -l3 --hostname-command ${TMPDIR}/${TEST_NUM}-hostname --config-test > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
  ${SPAMDYKE_PATH} -l3 --hostname-command ${TMPDIR}/${TEST_NUM}-hostname --config-test > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

  output=`grep -E "File is executable: ${TMPDIR}/${TEST_NUM}-hostname" ${TMPDIR}/${TEST_NUM}-output.txt`
  if [ ! -z "${output}" ]
  then
    output=`grep -E "SUCCESS: Tests complete. No errors detected." ${TMPDIR}/${TEST_NUM}-output.txt`
    if [ ! -z "${output}" ]
    then
      outcome="success"
    else
      echo Failure - tmp/${TEST_NUM}-output.txt:
      cat ${TMPDIR}/${TEST_NUM}-output.txt

      outcome="failure"
    fi
  else
    echo Failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo You must be root to check executable permissions.  Test failed.
  outcome="failure"
fi
